Skip to main content
PUT
/
workspaces
/
{workspaceName}
Update workspace
curl --request PUT \
  --url https://api.blaxel.ai/v0/workspaces/{workspaceName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "<string>",
  "displayName": "My Workspace",
  "groupMappings": [
    {
      "groupName": "Engineering",
      "role": "admin"
    }
  ],
  "labels": {},
  "name": "my-workspace",
  "region": "us-west-2",
  "runtime": {
    "generation": "mk3"
  }
}
'
{
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "createdBy": "<string>",
  "updatedBy": "<string>",
  "accountId": "<string>",
  "displayName": "My Workspace",
  "groupMappings": [
    {
      "groupName": "Engineering",
      "role": "admin"
    }
  ],
  "id": "<string>",
  "labels": {},
  "name": "my-workspace",
  "region": "us-west-2",
  "runtime": {
    "generation": "mk3"
  },
  "status": "ready",
  "statusReason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

workspaceName
string
required

name of the workspace

Body

application/json

Tenant container that groups all Blaxel resources (agents, functions, models, etc.) with shared team access control and billing.

accountId
string

Workspace account id

displayName
string

Workspace display name

Example:

"My Workspace"

groupMappings
object[]

Group-to-role mappings for directory sync (SCIM) group membership

labels
object

Key-value pairs for organizing and filtering resources. Labels can be used to categorize resources by environment, project, team, or any custom taxonomy.

name
string

Workspace name

Example:

"my-workspace"

region
string

Workspace write region

Example:

"us-west-2"

runtime
object

Runtime configuration for the workspace infrastructure

Response

successful operation

Tenant container that groups all Blaxel resources (agents, functions, models, etc.) with shared team access control and billing.

createdAt
string
read-only

The date and time when the resource was created

updatedAt
string
read-only

The date and time when the resource was updated

createdBy
string
read-only

The user or service account who created the resource

updatedBy
string
read-only

The user or service account who updated the resource

accountId
string

Workspace account id

displayName
string

Workspace display name

Example:

"My Workspace"

groupMappings
object[]

Group-to-role mappings for directory sync (SCIM) group membership

id
string
read-only

Autogenerated unique workspace id

labels
object

Key-value pairs for organizing and filtering resources. Labels can be used to categorize resources by environment, project, team, or any custom taxonomy.

name
string

Workspace name

Example:

"my-workspace"

region
string

Workspace write region

Example:

"us-west-2"

runtime
object

Runtime configuration for the workspace infrastructure

status
enum<string>
read-only

Workspace status (created, account_binded, account_configured, workspace_configured, ready, error)

Available options:
created,
account_binded,
account_configured,
workspace_configured,
ready,
error
Example:

"ready"

statusReason
string
read-only

Reason for current status (only set for error status)

Last modified on April 29, 2026